--- title: "Export the IPS Reconnaissance Policies" slug: "export-the-ips-reconnaissance-policies" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/export-the-ips-reconnaissance-policies" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Export the IPS Reconnaissance Policies This URL exports IPS reconnaissance policies from the Manager. ## Resource URL GET /domain//ipsreconpolicy/export ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | selectedPolicyList | List of the policies to export | Object | Yes | Details of selectedPolicyList: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | selectedPolicyNameList | List of name of IPS & reconnaissance policy to export. By default all the policies are exported. | StringList | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | byteStream | Byte stream of the exported file | String | ## Example **Request** PUT [https:///sdkapi/domain/0/ipsreconpolicy/export](https://%3CNSM_IP%3E/sdkapi/domain/0/ipsreconpolicy/export) **Payload** ``` { “selectedPolicyNameList”:[“DefaultInlineIPS”,“NSAT 7.1 Reconnaissance Policy”] } ``` **Response** ``` { "byteSream": " //….. ….. …..//   " } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 5305 | The policy given is not present: |